RESTinio

Public Member Functions | Protected Member Functions | List of all members
restinio::socket_type_dependent_settings_t< Settings, Socket > Class Template Reference

Extra settings needed for working with socket. More...

`#include <settings.hpp>`

## Public Member Functions
| socket_type_dependent_settings_t () noexcept=default
| socket_type_dependent_settings_t (const socket_type_dependent_settings_t &) noexcept=default
| socket_type_dependent_settings_t (socket_type_dependent_settings_t &&) noexcept=default
socket_type_dependent_settings_t & | operator= (const socket_type_dependent_settings_t &) noexcept=default
socket_type_dependent_settings_t & | operator= (socket_type_dependent_settings_t &&) noexcept=delete

## Protected Member Functions
| ~socket_type_dependent_settings_t () noexcept=default

## Detailed Description

template<typename Settings, typename Socket>
class restinio::socket_type_dependent_settings_t< Settings, Socket >

Extra settings needed for working with socket.

Definition at line 154 of file settings.hpp.

## Constructor & Destructor Documentation

## ◆ ~socket_type_dependent_settings_t()

template<typename Settings , typename Socket >

restinio::socket_type_dependent_settings_t< Settings, Socket >::~socket_type_dependent_settings_t | ( |  | ) |
| protected default noexcept

## ◆ socket_type_dependent_settings_t() [1/3]

template<typename Settings , typename Socket >

restinio::socket_type_dependent_settings_t< Settings, Socket >::socket_type_dependent_settings_t | ( |  | ) |
| default noexcept

## ◆ socket_type_dependent_settings_t() [2/3]

template<typename Settings , typename Socket >

restinio::socket_type_dependent_settings_t< Settings, Socket >::socket_type_dependent_settings_t | ( | const socket_type_dependent_settings_t< Settings, Socket > & |  | ) |
| default noexcept

## ◆ socket_type_dependent_settings_t() [3/3]

template<typename Settings , typename Socket >

restinio::socket_type_dependent_settings_t< Settings, Socket >::socket_type_dependent_settings_t | ( | socket_type_dependent_settings_t< Settings, Socket > && |  | ) |
| default noexcept

## Member Function Documentation

## ◆ operator=() [1/2]

template<typename Settings , typename Socket >

socket_type_dependent_settings_t & restinio::socket_type_dependent_settings_t< Settings, Socket >::operator= | ( | const socket_type_dependent_settings_t< Settings, Socket > & |  | ) |
| default noexcept

## ◆ operator=() [2/2]

template<typename Settings , typename Socket >

socket_type_dependent_settings_t & restinio::socket_type_dependent_settings_t< Settings, Socket >::operator= | ( | socket_type_dependent_settings_t< Settings, Socket > && |  | ) |
| delete noexcept

The documentation for this class was generated from the following file:

- restinio/settings.hpp